phing-tasks-system-condition

# Class: AndCondition Source Location: /tasks/system/condition/AndCondition.php
### Class Overview
    ProjectComponent
       |
       --ConditionBase
          |
          --AndCondition
<and> condition container. #### Author(s): Andreas Aderhold <andi@binarycloud.com> Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 526 $ #### Copyright: © 2001,2002 THYRELL. All rights reserved Implements interfaces: Condition | ### Methods evaluate
### Inherited Variables #### Class: ConditionBase ConditionBase::$conditions #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: ConditionBase ConditionBase::addAvailable() ConditionBase::countConditions() ConditionBase::createAnd() ConditionBase::createContains() ConditionBase::createEquals() ConditionBase::createIsFalse() ConditionBase::createIsSet() ConditionBase::createIsTrue() ConditionBase::createNot() ConditionBase::createOr() ConditionBase::createOs() ConditionBase::createReferenceExists() ConditionBase::getConditions() ConditionBase::getIterator() Required for IteratorAggregate #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 36] <and> condition container. Iterates over all conditions and returns false as soon as one evaluates to false. #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 526 $
copyright: | © 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method evaluate [line 38]
`void evaluate( )`
#### Tags:
access: | public
Implementation of: Condition::evaluate() [ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:18 +0200 by phpDocumentor 1.4.3